import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/material.dart';

showImage(String image, {double? width, double? height, BoxFit fit = BoxFit.contain}){
  return image.isNotEmpty ? CachedNetworkImage(
      imageUrl: image,
      errorWidget: (
          BuildContext context,
          String url,
          dynamic error,
          ){
        return Container(
          padding: EdgeInsets.all(10),
          child: Image.asset("assets/noimage.png", fit: BoxFit.contain,));
      },
      imageBuilder: (context, imageProvider) => Container(
        child: Container(
          width: height,
          decoration: BoxDecoration(
              image: DecorationImage(
                  image: imageProvider,
                  fit: fit,
              )),
        ),
      )
  ) : Container(
      padding: EdgeInsets.all(10),
      child: Image.asset("assets/noimage.png", fit: BoxFit.contain,));
}